Bug 200617 - Make Blob::m_size an Optional
Summary: Make Blob::m_size an Optional
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Page Loading (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-08-10 14:56 PDT by youenn fablet
Modified: 2019-08-12 12:14 PDT (History)
9 users (show)

See Also:


Attachments
Patch (2.98 KB, patch)
2019-08-10 15:18 PDT, youenn fablet
ews: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews103 for mac-highsierra (3.32 MB, application/zip)
2019-08-11 05:21 PDT, Build Bot
no flags Details
Patch (5.65 KB, patch)
2019-08-11 11:33 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (11.89 KB, patch)
2019-08-11 13:18 PDT, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description youenn fablet 2019-08-10 14:56:10 PDT
Make Blob::m_size an Optional
Comment 1 youenn fablet 2019-08-10 15:18:39 PDT
Created attachment 376018 [details]
Patch
Comment 2 Build Bot 2019-08-11 05:21:51 PDT
Comment on attachment 376018 [details]
Patch

Attachment 376018 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/12894155

New failing tests:
editing/pasteboard/entries-api/datatransfer-items-drop-getAsEntry.html
imported/w3c/web-platform-tests/workers/semantics/structured-clone/dedicated.html
editing/pasteboard/entries-api/datatransfer-items-drop-fileEntry-file.html
http/tests/security/clipboard/clipboard-file-access.html
editing/pasteboard/file-input-files-access.html
editing/pasteboard/data-transfer-items-drop-file.html
storage/indexeddb/modern/objectstore-autoincrement-types.html
fast/forms/file/entries-api/drag-folder-webkitEntries.html
editing/pasteboard/file-input-files-access-promise.html
imported/blink/storage/indexeddb/empty-blob-file.html
http/tests/local/formdata/send-form-data-with-empty-file.html
editing/pasteboard/data-transfer-items-drop-file-promise.html
editing/pasteboard/data-transfer-items-drag-drop-file-promise.html
Comment 3 Build Bot 2019-08-11 05:21:53 PDT
Created attachment 376037 [details]
Archive of layout-test-results from ews103 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews103  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 4 youenn fablet 2019-08-11 11:33:03 PDT
Created attachment 376049 [details]
Patch
Comment 5 youenn fablet 2019-08-11 13:18:51 PDT
Created attachment 376050 [details]
Patch
Comment 6 WebKit Commit Bot 2019-08-12 12:13:24 PDT
Comment on attachment 376050 [details]
Patch

Clearing flags on attachment: 376050

Committed r248538: <https://trac.webkit.org/changeset/248538>
Comment 7 WebKit Commit Bot 2019-08-12 12:13:25 PDT
All reviewed patches have been landed.  Closing bug.
Comment 8 Radar WebKit Bug Importer 2019-08-12 12:14:18 PDT
<rdar://problem/54220208>